<?php

/*

    FASDIM: Fast And Simple DeIdentification Method
    Copyright (C) 2013 Emmanuel Chazard http://emmanuel.chazard.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.


*/



print("
STEP 02
This program transforms your DOC files (doc_nonano) to unmodified TXT files (txt_nonano).
You can run several instances of this program in the same time. E.g. if your processor has 8 cores, you are encouraged to launch the programm 7 times to save some time.
In case too many files are (randomely) skipped, you can try again by reinitializing the file queue, e.g.:
\t SELECT statut, count(*) FROM mytable_docnonano2txtnonano GROUP BY statut ;
\t UPDATE mytable_docnonano2txtnonano SET statut=0 WHERE statut=1 ;

") ;

$liste_param=array('doc_nonano', 'txt_nonano',
	'database_dsn', 'database_user', 'database_password',
	'wvware',
	'table_docnonano2txtnonano'
) ;


require_once('./scripts/fasdim_include.inc') ;


/* ======================= Parameters ============================= */


$rep_courriers_doc =  $fasdim_config['doc_nonano'] ;
$rep_courriers_txt_nonano =  $fasdim_config['txt_nonano'] ;
$bdd_dsn = $fasdim_config['database_dsn']  ;
$bdd_user = $fasdim_config['database_user']  ; ;
$bdd_pwd = $fasdim_config['database_password'] ;
$nom_table = $fasdim_config['table_docnonano2txtnonano'] ;

/* ======================= Functions ============================= */








/*  =========== MAIN =========== */






try {
	$bdd = new PDO(  $bdd_dsn, $bdd_user, $bdd_pwd ) ;
} catch (PDOException $e) {
	trigger_error('Connection failed: ' . $e->getMessage(), E_USER_ERROR) ;
}


print( bdd_etat_verrous($bdd, $nom_table) );





$i=0 ;
print "\n\n\n$i files" ;




while( $nom_fichier = bdd_fichier_verrouille($bdd, $nom_table) ) {
	$filename_doc = $rep_courriers_doc .'/'.$nom_fichier ;
      $filename_txt = $rep_courriers_txt_nonano .'/'.str_replace('.doc','.txt', $nom_fichier) ;

      $command = $fasdim_config['wvware'] .' '. $filename_doc .' > '. $filename_txt ;
      // print "$command\n" ;
      exec($command) ;

    	bdd_fichier_deverrouille($bdd, $nom_table, $nom_fichier) ;
	$i++ ;
    	print "\r$i courriers" ;
}



print( "\n\n". bdd_etat_verrous($bdd, $nom_table) . "\n\n" );

?>

STEP 02 DONE
Please check the error log file if necessary.
